Bug 111864 - Progress bar not displayed when it's called from a macro (gtk3)
Summary: Progress bar not displayed when it's called from a macro (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 111865
  Show dependency treegraph
 
Reported: 2017-08-16 17:32 UTC by Xisco Faulí
Modified: 2017-09-10 11:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
start scrollbar (297.10 KB, image/png)
2017-09-01 08:46 UTC, Caolán McNamara
Details
25% scrollbar (297.41 KB, image/png)
2017-09-01 08:46 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-08-16 17:32:53 UTC
Steps to reproduce:
1. Open attachment 135587 [details]
2. Click on start button

Expected behaviour: the progress bar should be displayed on the status bar

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: a19dc104ec008f0bb44676d63d4764c6d7442a0d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-08-16 17:35:04 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-10-14 14:18:19 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-10-17 13:57:36 (GMT)
commit	70f7697c4243739c28feaa33b091f6c64a8356cb (patch)
tree	1944f861ed8d005d5543a6f4a99b0236c21136f6
parent	148ca1024379e3712df4d855595df9bb46cdb1c4 (diff)
gtk3: select old/new gtk theme behaviour etc at runtime

Bisected with bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2017-08-29 08:40:08 UTC
I don't have this problem as far as I can see, so I guess you're running on an older version of gtk3 which has the old styling apis rather than the newer ones of my version. So what is your version of gtk3 ?
Comment 3 Xisco Faulí 2017-08-31 22:40:09 UTC
dpkg -s libgtk-3-0|grep '^Version'
Version: 3.22.11-0ubuntu3
Comment 4 Caolán McNamara 2017-09-01 08:46:08 UTC
Created attachment 135921 [details]
start scrollbar
Comment 5 Caolán McNamara 2017-09-01 08:46:28 UTC
Created attachment 135922 [details]
25% scrollbar
Comment 6 Caolán McNamara 2017-09-01 08:48:28 UTC
can't be the gtk version change I was thinking of then cause that was 3.20 vs 3.22. So this is what I see, "start scrollbar" is just a blank space for the scrollbar and then 25% fills it like so. I guess you don't see this ? Can I get screenshots of the problem. Maybe it a theme thing, or maybe its the version of gtk3 we build against, so what install sets are you using ?
Comment 7 Xisco Faulí 2017-09-01 08:57:24 UTC
Ok, I've tested it with different themes, and it works with 'Adwaita' theme but not with 'Ambiance' nor 'Radiance'. I'm on Ubuntu 17.04
Comment 8 Caolán McNamara 2017-09-04 10:20:27 UTC
I can see it now
Comment 9 Commit Notification 2017-09-04 11:16:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d094369dced5f84991b95aa965ade12e68f69c5

Resolves: tdf#111864 render progress bar for Ambiance theme properly

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2017-09-06 20:39:58 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 11 Commit Notification 2017-09-10 11:55:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe47dda7ec8bf9e13efe65781681d52cfd01829c&h=libreoffice-5-4

Resolves: tdf#111864 render progress bar for Ambiance theme properly

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.